Bug 444728 - (CVE-2008-1959) CVE-2008-1959 SIPp stack based buffer overflow in get_remote_video_port_media()
CVE-2008-1959 SIPp stack based buffer overflow in get_remote_video_port_media()
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-30 06:36 EDT by Red Hat Product Security
Modified: 2009-10-23 15:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-21 05:43:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2008-04-30 06:36:11 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-1959 to the following vulnerability:

Stack-based buffer overflow in the get_remote_video_port_media function in call.cpp in SIPp 3.0 allows remote attackers to cause a denial of service and possibly execute arbitrary code via a crafted SIP message.  NOTE: some of these details are obtained from third party information.

References:

http://sourceforge.net/project/shownotes.php?release_id=593806&group_id=104305
http://www.securityfocus.com/bid/28884
http://secunia.com/advisories/29890
Comment 1 Tomas Hoger 2008-05-02 10:43:23 EDT
This seems to be a relevant upstream commit:

http://sipp.svn.sourceforge.net/viewvc/sipp?view=rev&revision=427

However, as noted by Nico Golde in Debian bug report, there are probably other
similar issues in get_remote_ip_media() and get_remote_ipv6_media():

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=479039
Comment 2 Tomas Hoger 2008-05-02 10:44:14 EDT
Peter, I've noticed that size of SRPM jumped from ~200kB to ~9.5Mb between 3.0
and 3.1, because upstream tarball now includes sources for libs sipp depends on.
 As we probably don't need them on Fedora, would it make sense to remove them
from upstream tarball?
Comment 3 Fedora Update System 2008-05-10 09:49:08 EDT
sipp-3.1-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Tomas Hoger 2008-05-13 05:48:30 EDT
(In reply to comment #1)
> However, as noted by Nico Golde in Debian bug report, there are probably other
> similar issues in get_remote_ip_media() and get_remote_ipv6_media():
> 
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=479039

That issue got CVE-2008-2085 and is now tracked via separate bug bug #446182.
Comment 5 Fedora Update System 2008-05-13 11:25:23 EDT
sipp-3.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Red Hat Product Security 2008-07-21 05:43:05 EDT
This issue was addressed in:

Fedora:
  https://admin.fedoraproject.org/updates/F8/FEDORA-2008-3501
  https://admin.fedoraproject.org/updates/F9/FEDORA-2008-3690

Comment 8 Red Hat Bugzilla 2009-10-23 15:06:57 EDT
Reporter changed to security-response-team@redhat.com by request of Jay Turner.

Note You need to log in before you can comment on or make changes to this bug.